Last Comment Bug 760747 - Wrong check in Mac and Windows webapp runtimes
: Wrong check in Mac and Windows webapp runtimes
Status: VERIFIED FIXED
[qa!]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: unspecified
: All All
: P2 normal
: Firefox 16
Assigned To: Nobody; OK to take it and work on it
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 18:26 PDT by Marco Castelluccio [:marco]
Modified: 2016-03-21 12:39 PDT (History)
3 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (3.13 KB, patch)
2012-06-09 01:47 PDT, Marco Castelluccio [:marco]
myk: review+
myk: checkin+
Details | Diff | Splinter Review

Description Marco Castelluccio [:marco] 2012-06-01 18:26:40 PDT
> rv = XRE_GetFileFromPath(rtIniPath, getter_AddRefs(rtINI));
> NS_ENSURE_SUCCESS(rv, false);
> 
> if (!rtINI) {

Something similar is in the Mac runtime. We'd need to change this to check if the rtINI exists.
I'll post a patch tomorrow.
Comment 1 Marco Castelluccio [:marco] 2012-06-09 01:47:15 PDT
Created attachment 631633 [details] [diff] [review]
Patch

There was a check for Mac using Mac functions, I've changed it to use nsIFile like in Linux and Windows.
Comment 2 Myk Melez [:myk] [@mykmelez] 2012-06-12 13:01:58 PDT
Comment on attachment 631633 [details] [diff] [review]
Patch

Sorry for the delay reviewing; I was having Windows build problems.

This looks correct and behaves as expected. r=myk!

https://hg.mozilla.org/integration/mozilla-inbound/rev/d7362d197229
Comment 3 Ed Morley [:emorley] 2012-06-13 06:00:09 PDT
https://hg.mozilla.org/mozilla-central/rev/d7362d197229
Comment 4 Jason Smith [:jsmith] 2012-06-15 09:28:39 PDT
Myk - Is this possible to verify from an end-user's perspective? If so, how?
Comment 5 Marco Castelluccio [:marco] 2012-06-15 09:53:50 PDT
(In reply to Jason Smith [:jsmith] from comment #4)
> Myk - Is this possible to verify from an end-user's perspective? If so, how?

You should see the error message "This app requires that Firefox version 15 or above is installed. Firefox 15+ has not been detected." if you delete the file webapprt/webapprt.ini in the Firefox installation directory.
Comment 6 Jason Smith [:jsmith] 2012-06-26 18:04:34 PDT
Works on Windows.
Comment 7 Jason Smith [:jsmith] 2012-06-26 18:07:31 PDT
I'm noticing a regression on Mac when Nightly is not installed and I try to launch a web app that I no longer see the message in comment 5. Does this patch cause the bustage on Mac?
Comment 8 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-27 09:07:50 PDT
Comment 5 is specific to Windows. Each platform stub has its own error messages. The Mac one is more confusing, you're right - let's track that in a separate bug about that specifically.
Comment 9 Jason Smith [:jsmith] 2012-06-27 09:10:01 PDT
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #8)
> Comment 5 is specific to Windows. Each platform stub has its own error
> messages. The Mac one is more confusing, you're right - let's track that in
> a separate bug about that specifically.

Gotcha. Marking as verified then. Will open a separate bug about Mac.

Note You need to log in before you can comment on or make changes to this bug.